Orxonox: orxonox::MT_Value< T > Class Template Reference

# orxonox::MT_Value< T > Class Template Reference

The MT_Value<T> class is used to hold a value of type T within a MultiType. More...

`#include <src/util/MultiTypeValue.h>`

Inheritance diagram for orxonox::MT_Value< T >:

List of all members.

## Public Member Functions

bool | assimilate (const MultiType &other)
| Assigns the value of the other MultiType, converted to T.
MT_ValueBase * | clone () const
| Creates a copy of itself.
template<>
void | exportData (uint8_t *&mem) const
template<>
void | exportData (uint8_t *&mem) const
template<>
void | exportData (uint8_t *&mem) const
template<>
void | exportData (uint8_t *&mem) const
template<>
void | exportData (uint8_t *&mem) const
template<>
void | exportData (uint8_t *&mem) const
void | exportData (uint8_t *&mem) const
| saves data from the MT into the bytestream (mem) and increases the bytestream pointer by the size of the data
template<>
uint8_t | getSize () const
template<>
uint8_t | getSize () const
template<>
uint8_t | getSize () const
template<>
uint8_t | getSize () const
template<>
uint8_t | getSize () const
template<>
uint8_t | getSize () const
uint8_t | getSize () const
| returns the size of the data that would be saved by exportData
bool | getValue (orxonox::Degree *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (orxonox::Radian *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (orxonox::Quaternion *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (orxonox::ColourValue *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (orxonox::Vector4 *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (orxonox::Vector3 *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (orxonox::Vector2 *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (std::string *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (void **value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (bool *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (long double *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (double *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (float *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (unsigned long long *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (long long *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (unsigned long *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (long *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (unsigned int *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (int *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (unsigned short *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (short *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (unsigned char *value) const
| Assigns the value to the given pointer. The value gets converted if the types don't match.
bool | getValue (char *value) const
template<>
void | importData (uint8_t *&mem)
template<>
void | importData (uint8_t *&mem)
template<>
void | importData (uint8_t *&mem)
template<>
void | importData (uint8_t *&mem)
template<>
void | importData (uint8_t *&mem)
template<>
void | importData (uint8_t *&mem)
void | importData (uint8_t *&mem)
| loads data from the bytestream (mem) into the MT and increases the bytestream pointer by the size of the data
| MT_Value (const T &value, MT_Type::Value type)
| Constructor: Assigns the value and the type identifier.
| operator bool () const
| Returns the current value, converted to the requested type.
| operator char () const
| Assigns the value by converting it to T.
| operator double () const
| Returns the current value, converted to the requested type.
| operator float () const
| Returns the current value, converted to the requested type.
| operator int () const
| Returns the current value, converted to the requested type.
| operator long () const
| Returns the current value, converted to the requested type.
| operator long double () const
| Returns the current value, converted to the requested type.
| operator long long () const
| Returns the current value, converted to the requested type.
| operator orxonox::ColourValue () const
| Returns the current value, converted to the requested type.
| operator orxonox::Degree () const
| Returns the current value, converted to the requested type.
| operator orxonox::Quaternion () const
| Returns the current value, converted to the requested type.
| operator orxonox::Radian () const
| Returns the current value, converted to the requested type.
| operator orxonox::Vector2 () const
| Returns the current value, converted to the requested type.
| operator orxonox::Vector3 () const
| Returns the current value, converted to the requested type.
| operator orxonox::Vector4 () const
| Returns the current value, converted to the requested type.
| operator short () const
| Returns the current value, converted to the requested type.
| operator std::string () const
| Returns the current value, converted to the requested type.
| operator unsigned char () const
| Returns the current value, converted to the requested type.
| operator unsigned int () const
| Returns the current value, converted to the requested type.
| operator unsigned long () const
| Returns the current value, converted to the requested type.
| operator unsigned long long () const
| Returns the current value, converted to the requested type.
| operator unsigned short () const
| Returns the current value, converted to the requested type.
| operator void * () const
| Returns the current value, converted to the requested type.
void | reset ()
| Resets the current value to the default.
bool | setValue (const orxonox::Degree &value)
| Assigns the value by converting it to T.
bool | setValue (const orxonox::Radian &value)
| Assigns the value by converting it to T.
bool | setValue (const orxonox::Quaternion &value)
| Assigns the value by converting it to T.
bool | setValue (const orxonox::ColourValue &value)
| Assigns the value by converting it to T.
bool | setValue (const orxonox::Vector4 &value)
| Assigns the value by converting it to T.
bool | setValue (const orxonox::Vector3 &value)
| Assigns the value by converting it to T.
bool | setValue (const orxonox::Vector2 &value)
| Assigns the value by converting it to T.
bool | setValue (const std::string &value)
| Assigns the value by converting it to T.
bool | setValue (void *const &value)
| Assigns the value by converting it to T.
bool | setValue (const bool &value)
| Assigns the value by converting it to T.
bool | setValue (const long double &value)
| Assigns the value by converting it to T.
bool | setValue (const double &value)
| Assigns the value by converting it to T.
bool | setValue (const float &value)
| Assigns the value by converting it to T.
bool | setValue (const unsigned long long &value)
| Assigns the value by converting it to T.
bool | setValue (const long long &value)
| Assigns the value by converting it to T.
bool | setValue (const unsigned long &value)
| Assigns the value by converting it to T.
bool | setValue (const long &value)
| Assigns the value by converting it to T.
bool | setValue (const unsigned int &value)
| Assigns the value by converting it to T.
bool | setValue (const int &value)
| Assigns the value by converting it to T.
bool | setValue (const unsigned short &value)
| Assigns the value by converting it to T.
bool | setValue (const short &value)
| Assigns the value by converting it to T.
bool | setValue (const unsigned char &value)
| Assigns the value by converting it to T.
bool | setValue (const char &value)
| Assigns the value to the given pointer. The value gets converted if the types don't match.
void | toString (std::ostream &outstream) const
| Returns the current value, converted to the requested type.

## Public Attributes

T | value_
| The stored value.

## Detailed Description

### template<typename T>
class orxonox::MT_Value< T >

The MT_Value<T> class is used to hold a value of type T within a MultiType.

## Constructor & Destructor Documentation

template<typename T>

orxonox::MT_Value< T >::MT_Value | ( | const T & | value,
|  | MT_Type::Value | type |
| ) |  |  | `[inline]`

Constructor: Assigns the value and the type identifier.

## Member Function Documentation

template<typename T>

bool orxonox::MT_Value< T >::assimilate | ( | const MultiType & | other | ) | `[inline, virtual]`

Assigns the value of the other MultiType, converted to T.

Parameters:

  | other | The other MultiType

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, orxonox::MT_Value< T >::value_, and orxonox::MultiType::value_.

template<typename T>

MT_ValueBase* orxonox::MT_Value< T >::clone | ( |  | ) | const`[inline, virtual]`

Creates a copy of itself.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::type_, and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< void * >::exportData | ( | uint8_t *& | mem | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

template<>

void orxonox::MT_Value< Ogre::Vector4 >::exportData | ( | uint8_t *& | mem | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::saveAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< Ogre::Vector3 >::exportData | ( | uint8_t *& | mem | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::saveAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< Ogre::Vector2 >::exportData | ( | uint8_t *& | mem | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::saveAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< Ogre::Quaternion >::exportData | ( | uint8_t *& | mem | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::saveAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< ColourValue >::exportData | ( | uint8_t *& | mem | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::saveAndIncrease(), and orxonox::MT_Value< T >::value_.

template<typename T>

void orxonox::MT_Value< T >::exportData | ( | uint8_t *& | mem | ) | const`[inline, virtual]`

saves data from the MT into the bytestream (mem) and increases the bytestream pointer by the size of the data

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::saveAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

uint8_t orxonox::MT_Value< void * >::getSize | ( | void |  | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

template<>

uint8_t orxonox::MT_Value< Ogre::Vector4 >::getSize | ( | void |  | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::returnSize(), and orxonox::MT_Value< T >::value_.

template<>

uint8_t orxonox::MT_Value< Ogre::Vector3 >::getSize | ( | void |  | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::returnSize(), and orxonox::MT_Value< T >::value_.

template<>

uint8_t orxonox::MT_Value< Ogre::Vector2 >::getSize | ( | void |  | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::returnSize(), and orxonox::MT_Value< T >::value_.

template<>

uint8_t orxonox::MT_Value< Ogre::Quaternion >::getSize | ( | void |  | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::returnSize(), and orxonox::MT_Value< T >::value_.

template<>

uint8_t orxonox::MT_Value< ColourValue >::getSize | ( | void |  | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::returnSize(), and orxonox::MT_Value< T >::value_.

template<typename T>

uint8_t orxonox::MT_Value< T >::getSize | ( | void |  | ) | const`[inline, virtual]`

returns the size of the data that would be saved by exportData

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::returnSize(), and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | orxonox::Degree * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | orxonox::Radian * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | orxonox::Quaternion * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | orxonox::ColourValue * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | orxonox::Vector4 * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | orxonox::Vector3 * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | orxonox::Vector2 * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | std::string * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | void ** | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | bool * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | long double * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | double * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | float * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | unsigned long long * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | long long * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | unsigned long * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | long * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | unsigned int * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | int * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | unsigned short * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | short * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | unsigned char * | value | ) | const`[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::getValue | ( | char * | value | ) | const`[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< void * >::importData | ( | uint8_t *& | mem | ) | `[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

template<>

void orxonox::MT_Value< Ogre::Vector4 >::importData | ( | uint8_t *& | mem | ) | `[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::loadAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< Ogre::Vector3 >::importData | ( | uint8_t *& | mem | ) | `[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::loadAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< Ogre::Vector2 >::importData | ( | uint8_t *& | mem | ) | `[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::loadAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< Ogre::Quaternion >::importData | ( | uint8_t *& | mem | ) | `[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::loadAndIncrease(), and orxonox::MT_Value< T >::value_.

template<>

void orxonox::MT_Value< ColourValue >::importData | ( | uint8_t *& | mem | ) | `[inline, virtual]`

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::loadAndIncrease(), and orxonox::MT_Value< T >::value_.

template<typename T>

void orxonox::MT_Value< T >::importData | ( | uint8_t *& | mem | ) | `[inline, virtual]`

loads data from the bytestream (mem) into the MT and increases the bytestream pointer by the size of the data

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::loadAndIncrease(), and orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator bool | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator char | ( |  | ) | const`[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator double | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator float | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator int | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator long | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator long double | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator long long | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator orxonox::ColourValue | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator orxonox::Degree | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator orxonox::Quaternion | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator orxonox::Radian | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator orxonox::Vector2 | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator orxonox::Vector3 | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator orxonox::Vector4 | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator short | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator std::string | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator unsigned char | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator unsigned int | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator unsigned long | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator unsigned long long | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator unsigned short | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

orxonox::MT_Value< T >::operator void * | ( |  | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

template<typename T>

void orxonox::MT_Value< T >::reset | ( |  | ) | `[inline, virtual]`

Resets the current value to the default.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const orxonox::Degree & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const orxonox::Radian & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const orxonox::Quaternion & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const orxonox::ColourValue & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const orxonox::Vector4 & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const orxonox::Vector3 & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const orxonox::Vector2 & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const std::string & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | void *const & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const bool & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const long double & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const double & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const float & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const unsigned long long & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const long long & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const unsigned long & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const long & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const unsigned int & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const int & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const unsigned short & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const short & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const unsigned char & | value | ) | `[inline, virtual]`

Assigns the value by converting it to T.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

bool orxonox::MT_Value< T >::setValue | ( | const char & | value | ) | `[inline, virtual]`

Assigns the value to the given pointer. The value gets converted if the types don't match.

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MultiType::MT_ValueBase::bHasDefaultValue_, and orxonox::MT_Value< T >::value_.

template<typename T>

void orxonox::MT_Value< T >::toString | ( | std::ostream & | outstream | ) | const`[inline, virtual]`

Returns the current value, converted to the requested type.

Puts the current value on the stream

Implements orxonox::MultiType::MT_ValueBase.

References orxonox::MT_Value< T >::value_.

## Member Data Documentation

template<typename T>

T orxonox::MT_Value< T >::value_

The stored value.

Referenced by orxonox::MT_Value< T >::assimilate(), orxonox::MT_Value< T >::clone(), orxonox::MT_Value< T >::exportData(), orxonox::MT_Value< T >::getSize(), orxonox::MT_Value< T >::getValue(), orxonox::MT_Value< T >::importData(), orxonox::MT_Value< T >::operator bool(), orxonox::MT_Value< T >::operator char(), orxonox::MT_Value< T >::operator double(), orxonox::MT_Value< T >::operator float(), orxonox::MT_Value< T >::operator int(), orxonox::MT_Value< T >::operator long(), orxonox::MT_Value< T >::operator long double(), orxonox::MT_Value< T >::operator long long(), orxonox::MT_Value< T >::operator orxonox::ColourValue(), orxonox::MT_Value< T >::operator orxonox::Degree(), orxonox::MT_Value< T >::operator orxonox::Quaternion(), orxonox::MT_Value< T >::operator orxonox::Radian(), orxonox::MT_Value< T >::operator orxonox::Vector2(), orxonox::MT_Value< T >::operator orxonox::Vector3(), orxonox::MT_Value< T >::operator orxonox::Vector4(), orxonox::MT_Value< T >::operator short(), orxonox::MT_Value< T >::operator std::string(), orxonox::MT_Value< T >::operator unsigned char(), orxonox::MT_Value< T >::operator unsigned int(), orxonox::MT_Value< T >::operator unsigned long(), orxonox::MT_Value< T >::operator unsigned long long(), orxonox::MT_Value< T >::operator unsigned short(), orxonox::MT_Value< T >::operator void *(), orxonox::MT_Value< T >::reset(), orxonox::MT_Value< T >::setValue(), and orxonox::MT_Value< T >::toString().

The documentation for this class was generated from the following file:

- src/util/MultiTypeValue.h